<%@ Page Language="C#" MasterPageFile="~/all.master" Title="Untitled Page" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Data" %>

<script runat="server">

    protected void Page_Load(object sender, EventArgs e)
    {
        if (! Page.IsPostBack )
        MultiView1.ActiveViewIndex = 0;
    }
    protected void btnNext_Click(object sender, EventArgs e)
    {
        // connect to db
        SqlConnection con = new SqlConnection(Database.ConnectionString);
        try
        {
            con.Open();
            SqlCommand cmd = new SqlCommand("select count(*) from users where uname = @uname",con);
            cmd.Parameters.Add("@uname", SqlDbType.VarChar, 10).Value = txtUname.Text;
             
            int  cnt = (int) cmd.ExecuteScalar();
            if (cnt == 1)
            {
                lblmsg.Text = "Sorry! Username is already present. Try another name!";
                return;
            }
            cmd.CommandText = "select count(*) from users where email = @email";
            cmd.Parameters.Add("@email", SqlDbType.VarChar, 50).Value = txtEmail.Text;

            cnt = (int)cmd.ExecuteScalar();
            if (cnt == 1)
            {
                lblmsg.Text = "Sorry! Email address is already present.";
                return;
            } 
            
            // goto next view 
            hPwd.Text = txtPwd.Text; 
            MultiView1.ActiveViewIndex = ddlUtype.SelectedIndex + 1; 
             
        }
        catch (Exception ex)
        {
            lblmsg.Text  = "Error :" + ex.Message;
        }
        finally
        {
            con.Close();
        }
        
    }

    SqlConnection GetConnection()
    {
        SqlConnection con = new SqlConnection(Database.ConnectionString);
        con.Open();
        return con;
    }

    void InsertUser( SqlCommand cmd )
    {
        cmd.CommandText = "insert into users values(@uname,@pwd,@email,getdate(),@utype,@address,@phone)";
        cmd.Parameters.Add("@uname", SqlDbType.VarChar, 10).Value = txtUname.Text;
        cmd.Parameters.Add("@pwd", SqlDbType.VarChar, 10).Value = hPwd.Text;
        cmd.Parameters.Add("@email", SqlDbType.VarChar, 50).Value = txtEmail.Text;
        cmd.Parameters.Add("@address", SqlDbType.VarChar, 100).Value = txtAddress.Text;
        cmd.Parameters.Add("@phone", SqlDbType.VarChar, 50).Value = txtPhone.Text;
        
        cmd.Parameters.Add("@utype", SqlDbType.Char, 1).Value = ddlUtype.SelectedItem.Value;
        cmd.ExecuteNonQuery();
    }

    protected void btnRegister_Click(object sender, EventArgs e)
    {
        SqlConnection con=null;
        try
        {
            con = GetConnection();
            SqlCommand cmd = new SqlCommand();
            cmd.Connection = con; 
            InsertUser(cmd);
            // insert a row into job seekers
            cmd.CommandText = "insert into jobseekers values(@uname,@fullname,@qual,@dob,'',0,'','','',0,'u')";
            cmd.Parameters.Clear(); 
            cmd.Parameters.Add("@uname", SqlDbType.VarChar, 10).Value = txtUname.Text;
            cmd.Parameters.Add("@fullname", SqlDbType.VarChar, 10).Value = txtFullname.Text;
            cmd.Parameters.Add("@qual", SqlDbType.VarChar, 10).Value = txtQual.Text;
            cmd.Parameters.Add("@dob", SqlDbType.VarChar, 10).Value = txtDob.Text;
            cmd.ExecuteNonQuery();
            lblmsg2.Text = "Registration is Successful! Please <a href=../login.aspx>login</a>";
        }
        catch (Exception ex)
        {
            lblmsg2.Text = "Error: " + ex.Message;
        }
        finally
        {
            con.Close();
        }
         
        
        
        
    }

    protected void btnEmpRegister_Click(object sender, EventArgs e)
    {

    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <h3>
        User Registration</h3>
    <asp:MultiView ID="MultiView1" runat="server">
    <asp:View ID="vFirst" runat="server">
    <br />
    <table>
        <tr>
            <td style="width: 100px">
                User Name :
            </td>
            <td style="width: 100px">
                <asp:TextBox ID="txtUname" runat="server"></asp:TextBox></td>
        </tr>
        <tr>
            <td style="width: 100px">
                Password :
            </td>
            <td style="width: 100px">
                <asp:TextBox ID="txtPwd" runat="server" TextMode="Password" Width="145px"></asp:TextBox>
                <asp:TextBox ID="hPwd" runat="server" Visible="False" Width="64px"></asp:TextBox></td>
        </tr>
        <tr>
            <td style="width: 100px">
                Confirm Password :
            </td>
            <td style="width: 100px">
                <asp:TextBox ID="txtCPwd" runat="server" TextMode="Password" Width="145px"></asp:TextBox></td>
        </tr>
        <tr>
            <td style="width: 100px">
                Email Address:</td>
            <td style="width: 100px">
                <asp:TextBox ID="txtEmail" runat="server" Width="271px"></asp:TextBox></td>
        </tr>
        <tr>
            <td style="width: 100px; height: 53px">
                Address</td>
            <td style="width: 100px; height: 53px">
                <asp:TextBox ID="txtAddress" runat="server" Height="48px" TextMode="MultiLine" Width="269px"></asp:TextBox></td>
        </tr>
        <tr>
            <td style="width: 100px">
                Phone No.</td>
            <td style="width: 100px">
                <asp:TextBox ID="txtPhone" runat="server"></asp:TextBox></td>
        </tr>
        <tr>
            <td style="width: 100px">
                User Type :
            </td>
            <td style="width: 100px">
                <asp:DropDownList ID="ddlUtype" runat="server" Width="154px">
                    <asp:ListItem Value="j">Job Seeker</asp:ListItem>
                    <asp:ListItem Value="e">Employer</asp:ListItem>
                </asp:DropDownList></td>
        </tr>
    </table>
    <br />
    <asp:Button ID="Button1" runat="server" Text="Next"
        Width="69px" OnClick="btnNext_Click" />&nbsp;<asp:Button ID="Button2" runat="server" Text="Cancel" /><br />
        <br />
        <asp:Label ID="lblmsg" runat="server" Font-Bold="True"></asp:Label><br />
        <br />
        </asp:View>
        <asp:View ID="vJobseeker" runat="server">
            <table>
                <tr>
                    <td style="width: 100px">
                        Full name :
                    </td>
                    <td style="width: 100px">
                        <asp:TextBox ID="txtFullname" runat="server"></asp:TextBox></td>
                </tr>
                <tr>
                    <td style="width: 100px; height: 26px">
                        Qualification :</td>
                    <td style="width: 100px; height: 26px">
                        <asp:TextBox ID="txtQual" runat="server"></asp:TextBox></td>
                </tr>
                <tr>
                    <td style="width: 100px">
                        Date of Birth
                    </td>
                    <td style="width: 100px">
                        <asp:TextBox ID="txtDob" runat="server" Width="84px"></asp:TextBox>
                        (mm/dd/yy)</td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnRegister" runat="server" Text="Register" OnClick="btnRegister_Click" /><br />
            <br />
            <asp:Label ID="lblmsg2" runat="server" Font-Bold="True"></asp:Label><br />
        </asp:View>
        <asp:View ID="vEmployer" runat="server">
            <table>
                <tr>
                    <td style="width: 100px">
                        Company Name :
                    </td>
                    <td style="width: 100px">
                        <asp:TextBox ID="txtCompname" runat="server"></asp:TextBox></td>
                </tr>
                <tr>
                    <td style="width: 100px">
                        Location :
                    </td>
                    <td style="width: 100px">
                        <asp:TextBox ID="txtLocation" runat="server"></asp:TextBox></td>
                </tr>
                <tr>
                    <td style="width: 100px">
                        Web URL :
                    </td>
                    <td style="width: 100px">
                        <asp:TextBox ID="txtWeburl" runat="server"></asp:TextBox></td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnEmpRegister" runat="server" Text="Register" OnClick="btnEmpRegister_Click" /><br />
        </asp:View>
    </asp:MultiView>
</asp:Content>

