<%@ Page Language="C#" MasterPageFile="~/js.master" Title="Untitled Page" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Data" %>

<script runat="server">

    protected void Page_Load(object sender, EventArgs e)
    {
        // connect to db
        SqlConnection con = new SqlConnection(Database.ConnectionString);
        try
        {
            con.Open();
            SqlCommand cmd = new SqlCommand("select  status from jobseekers where uname = @uname", con);
            cmd.Parameters.Add("@uname", SqlDbType.VarChar, 10).Value = Session["uname"].ToString();
            String status= (String) cmd.ExecuteScalar();
            if (status.Equals("h"))
                lblStatus.Text = "Your details are currently <b>hidden</b>. <p> To make details available, click on the button below.";
            else
                lblStatus.Text = "Your details are currently <b>available</b>. <p> To hide your details, click on the button below.";
            
        }
        catch (Exception ex)
        {
            lblMsg.Text = "Error :" + ex.Message;
        }
        finally
        {
            con.Close();
        }

    }

    protected void btnChange_Click(object sender, EventArgs e)
    {
        // connect to db
        SqlConnection con = new SqlConnection(Database.ConnectionString);
        try
        {
            con.Open();
            SqlCommand cmd = new SqlCommand("update jobseekers set  status = case status when 'u' then 'h' else 'u' end from jobseekers where uname = @uname", con);
            cmd.Parameters.Add("@uname", SqlDbType.VarChar, 10).Value = Session["uname"].ToString();
            cmd.ExecuteNonQuery();
            lblMsg.Text = "Status Changed Successfully!"; 
        }
        catch (Exception ex)
        {
            lblMsg.Text = "Error :" + ex.Message;
        }
        finally
        {
            con.Close();
        }


    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <h3>
        Change Status</h3>
    <p>
        <asp:Label ID="lblStatus" runat="server"></asp:Label>&nbsp;</p>
    <p>
        <asp:Button ID="btnChange" runat="server" Text="Change Status" OnClick="btnChange_Click" />&nbsp;</p>
    <p>
        <asp:Label ID="lblMsg" runat="server"></asp:Label>&nbsp;</p>
</asp:Content>

